#
#
#	Internet-Connect (TM) Dialer Script Sample
#
# Each script line has the following general syntax
#	command arg1 arg2 ...
# Null line or line started with # is ignored (comment line)
# Number of arguments following each command depends on the command.
# Argument may be an integer or text string. If a text string contains
#	spaces, it must be enclosed in quotes (").
# Valid commands are:
#	done			-end script normally
#	fail			-terminate script abnormally
#	goto label_name 	-jump to script line with label_name
#	label label_name	-label a script line
#	pause pause_in_secs	-short pause
#	setcr [CarriageReturn_character] -default is \r
#	raisedtr
#	dropdtr
#	launch application_to_be_launched [go_to_if_fail]
#	timeout default_timeout_in_secs
#	expect "expect_string" [timeout_in_secs [label_to_go_to_if_timeout]]
#	expectaddr [timeout_in_secs [label_to_go_to_if_timeout]]
#	send "send_string"	-send a string to host (CR appended automatically)
#	sendpass "password"	-send a password (will not write to log)
#	send $variable		-prompt for variable string then send it to host
#	expect $variable [timeout_in_secs [label_to_go_if_timeout]]
# where $variable:
#	$p (password, send only)
#	$l (local IP address, expect only)
#	$r (remote IP address, expect only)
#	$c (any command, e.g. start SLIP, send only)
#	$u (userid, send only)
#
# Note that text string must be in quotes if contains spaces, e.g.
#	expect "Please enter user-id"
#
# This script is run following successful connection to host, i.e.
# after dialing has completed and Carrier Detect (CR) signal is up.
#
# the following expect may or may not be necessary
#expect "CONNECT"
# Send some CR's to solicit a login promtp from host
#send ""
send ""
expect ogin: 5 failexit
# Wait a bit here, some Unix systems expect a brief
# delay between when a prompt is displayed and user-id 
# is sent in.
#pause 1
#send my_userid
send $u
expect assword: 30 failexit
# Wait a bit here, some Unix systems expect a brief
# delay between when a prompt is displayed and password
# is sent in.
#pause 1
#sendpass my_password
sendpass $p
# login is successful, expect greetings string
#expect opyrigh 30 failexit
#send ""
#send ""
#pause 5
# Send a command to start up SLIP or PPP
#send $c
#pause 5
# get host (remote) IP address
#expect $r
done
label failexit
fail
